import fs from 'fs';
import { simpleGit, } from 'simple-git';
import type { SimpleGit, SimpleGitOptions } from 'simple-git';

console.log(process.cwd()+'/articles'); 
fs.mkdirSync(process.cwd()+'/articles', { recursive: true });
export const gitOptions: Partial<SimpleGitOptions> = {
  baseDir: process.cwd()+'/articles',
  binary: 'git',
  maxConcurrentProcesses: 6,
  config: [
    'core.sshCommand=ssh -i ../key -F /dev/null'
  ],
};

const git: SimpleGit = simpleGit(gitOptions);
export default git;